#-------------------------------------------------
#  RC file to start a server automatically
#-------------------------------------------------
#
#-------------------------------------------------
# Edit the parameters of this file to configure
# your server options. Use notepad, not a word
# processor. File must be saved as text only.
#-------------------------------------------------
#
#-------------------------------------------------
# Type the name for your server inside the quotes
#-------------------------------------------------
#
set Server::Hostname "My Server"
#
#-------------------------------------------------
# Defualt port number. Probably don't need to change.
#-------------------------------------------------
#
set Server::PortNumber 28001
#
#-------------------------------------------------
# Password Protection. Leave blank for none. 
# Quotes optional.
#-------------------------------------------------
#
set Server::Password ""
#
#-------------------------------------------------
# Maximum player limit. 16 is highest.
#-------------------------------------------------
#
set Server::MaxPlayers 16
#
#-------------------------------------------------
# Number of kills before server cycles. 
# If zero, kills are never reset.
#-------------------------------------------------
#
set Server::FragLimit 0
#
#-------------------------------------------------
# Time limit in minutes before server cycles. 
# Must be a positive integer.
#-------------------------------------------------
#
set Server::TimeLimit 15 
#
#-------------------------------------------------
# Team play options. TeamPlay false = deathmatch. 
# TeamPlay true = teams.
#-------------------------------------------------
#
set Server::TeamPlay true
#
#-------------------------------------------------
# Mission rotation list. This is the order the
# worlds will cycle in a game with either the frag
# or time limits set.
#-------------------------------------------------
#
set Mission::Stage0 mars1.mis
set Mission::Stage1 ice1.mis
set Mission::Stage2 mars2.mis
set Mission::Stage3 ice2.mis
set Mission::Stage4 mars3.mis
set Mission::Stage5 ice3.mis
#
#-------------------------------------------------
# Start mission. Defines which mission from the
# rotation list the server starts on.
#-------------------------------------------------
#
set Server::Mission "mars1.mis"