#------------------------------------------------------------------------------
#
# Generic keyboard Herc control script file
#

#------------------------------------------------------------------------------
newActionMap Herc

# USE adwxs for movement
bindAction keyboard make  a                TO ACTION_YAW +1.0
bindAction keyboard break a                TO ACTION_YAW  0.0
bindAction keyboard make  d                TO ACTION_YAW -1.0
bindAction keyboard break d                TO ACTION_YAW  0.0
bindAction keyboard make  w                TO ACTION_SPEED +1.0
bindAction keyboard break w                TO ACTION_SPEED  0.0
bindAction keyboard make  x                TO ACTION_SPEED -1.0
bindAction keyboard break x                TO ACTION_SPEED  0.0
bindAction keyboard make  s                TO ACTION_STOP
bindAction keyboard make  tab              TO ACTION_REVERSE_THROTTLE

# Also USE numpad arrow keys for movement
bindAction keyboard make  numpad4          TO ACTION_YAW +1.0
bindAction keyboard break numpad4          TO ACTION_YAW  0.0
bindAction keyboard make  numpad6          TO ACTION_YAW -1.0
bindAction keyboard break numpad6          TO ACTION_YAW  0.0
bindAction keyboard make  numpad8          TO ACTION_SPEED +1.0
bindAction keyboard break numpad8          TO ACTION_SPEED  0.0
bindAction keyboard make  numpad2          TO ACTION_SPEED -1.0
bindAction keyboard break numpad2          TO ACTION_SPEED  0.0
bindAction keyboard make  numpad5          TO ACTION_STOP
bindAction keyboard make  numpad0          TO ACTION_REVERSE_THROTTLE

#View related controls
bindAction keyboard make  insert           TO ACTION_ZOOM_SET 1.0
bindAction keyboard make  delete           TO ACTION_ZOOM_SET 0.0
bindAction keyboard make  numpad/          TO ACTION_ZOOM_ADJ +1.0
bindAction keyboard break numpad/          TO ACTION_ZOOM_ADJ -1.0
bindAction keyboard make  home             TO ACTION_LOOK_CENTER
bindAction keyboard make  numpad*          TO ACTION_LOOK_CENTER
bindAction keyboard make  end              TO ACTION_ZOOM_ADJ +1.0
bindAction keyboard break end              TO ACTION_ZOOM_ADJ -1.0

#Alternative layout for view controls
bindAction keyboard make  u                TO ACTION_LOOK_CENTER
bindAction keyboard make  j                TO ACTION_ZOOM_ADJ +1.0
bindAction keyboard break j                TO ACTION_ZOOM_ADJ -1.0
bindAction keyboard make  y                TO ACTION_ZOOM_SET  1.0
bindAction keyboard make  h                TO ACTION_ZOOM_SET  0.0

bindAction keyboard make shift s           TO ACTION_REACTOR
bindAction keyboard make l                 TO ACTION_WEAPON_LINK

bindAction keyboard make 1                 TO ACTION_WEAPON_SELECT 0.0
bindAction keyboard make 2                 TO ACTION_WEAPON_SELECT 1.0
bindAction keyboard make 3                 TO ACTION_WEAPON_SELECT 2.0
bindAction keyboard make 4                 TO ACTION_WEAPON_SELECT 3.0

bindAction keyboard make e                 TO ACTION_CAMOUFLAGE
bindAction keyboard make numpad9           TO ACTION_CAMOUFLAGE
bindAction keyboard make c                 TO ACTION_CROUCH
bindAction keyboard make numpad3           TO ACTION_CROUCH

bindAction keyboard make o                 TO ACTION_USE_PROJECTILE_CAM

bindAction keyboard make enter             TO ACTION_SHIELD
bindAction keyboard make shift enter       TO ACTION_SHIELD_TRACK

bindAction keyboard make q                 TO ACTION_SHIELD_FOCUS_ADJ  0.2
bindAction keyboard make z                 TO ACTION_SHIELD_FOCUS_ADJ -0.2
bindAction keyboard make numpad7           TO ACTION_SHIELD_FOCUS_ADJ  0.2
bindAction keyboard make numpad1           TO ACTION_SHIELD_FOCUS_ADJ -0.2

bindAction keyboard make [                 TO ACTION_SHIELD_ROTATION_ADJ +0.125
bindAction keyboard make ]                 TO ACTION_SHIELD_ROTATION_ADJ -0.125

bindAction keyboard make t                 TO ACTION_TARGET_CLOSEST
bindAction keyboard make g                 TO ACTION_TARGET_ADJ +1.0
bindAction keyboard make shift g           TO ACTION_TARGET_ADJ -1.0
bindAction keyboard make numpadenter       TO ACTION_TARGET_CLOSEST
bindAction keyboard make numpad-           TO ACTION_TARGET_ADJ +1.0
bindAction keyboard make numpad+           TO ACTION_TARGET_ADJ -1.0

bindAction keyboard make r                 TO ACTION_SENSOR_RANGE_TOGGLE
bindAction keyboard make shift r           TO ACTION_SENSOR_MODE_TOGGLE

bindAction keyboard make ,                 TO ACTION_NAVPOINT_NEXT
bindAction keyboard make .                 TO ACTION_NAVPOINT_PREV
bindAction keyboard make m                 TO ACTION_NAVPOINT_SET -1

bindAction keyboard make  space            TO ACTION_FIRE 1.0
bindAction keyboard break space            TO ACTION_FIRE 0.0
bindAction keyboard make shift space       TO ACTION_FIRE -1.0
bindAction keyboard break shift space      TO ACTION_FIRE 0.0





