#------------------------------------------------------------------------------
newActionMap Camera
#------- Joystick Controls
bindAction joystick0 zaxis                 TO ACTION_SPEED deadzone 0.1 center square
bindAction joystick0 xaxis                 TO ACTION_ROLL  deadzone 0.1 center square flip
bindAction joystick0 yaxis                 TO ACTION_PITCH deadzone 0.1 center square flip
bindAction joystick0 rzaxis                TO ACTION_YAW   deadzone 0.1 center square
bindAction joystick0 make button0          TO ACTION_STOP
bindAction joystick0 make button1          TO ACTION_TURBO

bindAction keyboard make  right            TO ACTION_MOVE_X +1.0
bindAction keyboard make  left             TO ACTION_MOVE_X -1.0
bindAction keyboard break right            TO ACTION_MOVE_X 0.0
bindAction keyboard break left             TO ACTION_MOVE_X 0.0

bindAction keyboard make  a                TO ACTION_MOVE_Z +1.0
bindAction keyboard make  w                TO ACTION_MOVE_Z -1.0
bindAction keyboard break a                TO ACTION_MOVE_Z  0.0
bindAction keyboard break w                TO ACTION_MOVE_Z  0.0

bindAction mouse xaxis                     TO ACTION_YAW
bindAction mouse yaxis                     TO ACTION_MOVE_Y

#------------------------------------------------------------------------------
newActionMap CameraOrbit
#------- Joystick Controls
bindAction joystick0 zaxis                 TO ACTION_SPEED deadzone 0.1 center square flip
bindAction joystick0 ypov                  TO ACTION_PITCH
bindAction joystick0 xpov                  TO ACTION_YAW   

bindAction keyboard make z                 TO ACTION_MOVE_Y -1.0
bindAction keyboard break z                TO ACTION_MOVE_Y 0.0
bindAction keyboard make shift z           TO ACTION_MOVE_Y +1.0
bindAction keyboard break shift z          TO ACTION_MOVE_Y 0.0
bindAction keyboard make  control left     TO ACTION_YAW +1.0
bindAction keyboard make  control right    TO ACTION_YAW -1.0
bindAction keyboard break control left     TO ACTION_YAW  0.0
bindAction keyboard break control right    TO ACTION_YAW  0.0

#------------------------------------------------------------------------------
newActionMap Herc
#------- Herc
bindAction joystick xaxis                  TO ACTION_YAW deadzone 0.1 center square
bindAction joystick xpov                   TO ACTION_LOOK_X flip
bindAction joystick ypov                   TO ACTION_LOOK_Y
bindAction joystick yaxis                  TO ACTION_SPEED deadzone 0.1 center square
bindAction joystick zaxis				   TO ACTION_SPEED deadzone 0.1 center square
bindAction joystick make button0           TO ACTION_FIRE 1.0
bindAction joystick break button0          TO ACTION_FIRE 0.0
bindAction joystick make button1           TO ACTION_TARGET_SELECTED
bindAction joystick make  button2          TO ACTION_CAMOUFLAGE
bindAction joystick make  button3          TO ACTION_WEAPON_LINK
bindAction joystick make button4           TO ACTION_WEAPON_ADJ -1.0
bindAction joystick make button5           TO ACTION_WEAPON_ADJ +1.0
bindAction joystick make button6           TO ACTION_SHIELD_TRACK
bindAction joystick make button7           TO ACTION_CROUCH 1.0
bindAction joystick break button7          TO ACTION_CROUCH 0.0

bindAction keyboard make up                TO ACTION_SPEED 1.0
bindAction keyboard break up               TO ACTION_SPEED 0.0
bindAction keyboard make down              TO ACTION_SPEED -1.0
bindAction keyboard break down             TO ACTION_SPEED 0.0
bindAction keyboard make left              TO ACTION_YAW +1.0
bindAction keyboard break left             TO ACTION_YAW  0.0
bindAction keyboard make right             TO ACTION_YAW -1.0
bindAction keyboard break right            TO ACTION_YAW  0.0

bindAction mouse0 xaxis                    TO ACTION_LOOK_X scale 0.8 
bindAction mouse0 yaxis                    TO ACTION_LOOK_Y scale 0.8 
bindAction mouse0 make  button0            TO ACTION_FIRE 1.0
bindAction mouse0 break button0            TO ACTION_FIRE 0.0
bindAction mouse0 make  button1            TO ACTION_TARGET_SELECTED

bindAction keyboard make control left      TO ACTION_LOOK_X 1.0
bindAction keyboard break control left     TO ACTION_LOOK_X 0.0
bindAction keyboard make control right     TO ACTION_LOOK_X -1.0
bindAction keyboard break control right    TO ACTION_LOOK_X 0.0
bindAction keyboard make control up        TO ACTION_LOOK_Y 1.0
bindAction keyboard break control up       TO ACTION_LOOK_Y 0.0
bindAction keyboard make control down      TO ACTION_LOOK_Y -1.0
bindAction keyboard break control down     TO ACTION_LOOK_Y 0.0

bindAction keyboard make tab               TO ACTION_CROUCH 1.0
bindAction keyboard break tab              TO ACTION_CROUCH 0.0

bindAction keyboard make enter			   TO ACTION_WEAPON_ADJ 1.0
bindAction keyboard make space			   TO ACTION_FIRE 1.0
bindAction keyboard break space			   TO ACTION_FIRE 0.0
bindAction keyboard make \				   TO ACTION_WEAPON_LINK

bindAction keyboard make 1                 TO ACTION_STOP
bindAction keyboard make 2                 TO ACTION_SPEED 0.2
bindAction keyboard make 3                 TO ACTION_SPEED 0.3
bindAction keyboard make 4                 TO ACTION_SPEED 0.4
bindAction keyboard make 5                 TO ACTION_SPEED 0.5
bindAction keyboard make 6                 TO ACTION_SPEED 0.6
bindAction keyboard make 7                 TO ACTION_SPEED 0.7
bindAction keyboard make 8                 TO ACTION_SPEED 0.8
bindAction keyboard make 9                 TO ACTION_SPEED 0.9
bindAction keyboard make 0                 TO ACTION_SPEED 1.0
bindAction keyboard make =                 TO ACTION_SPEED +1.0
bindAction keyboard break =                TO ACTION_SPEED 0.0
bindAction keyboard make -                 TO ACTION_SPEED -1.0
bindAction keyboard break -                TO ACTION_SPEED 0.0
bindAction keyboard make p				   TO ACTION_REACTOR

bindAction keyboard make  f10              TO ACTION_USE_PROJECTILE_CAM
bindAction keyboard make prior             TO ACTION_SHIELD_TRACK 0.0
bindAction keyboard make numpad5           TO ACTION_SHIELD_FOCUS_SET
bindAction keyboard make home              TO ACTION_SHIELD_FOCUS_ADJ  0.1
bindAction keyboard make end               TO ACTION_SHIELD_FOCUS_ADJ -0.1
bindAction keyboard make delete            TO ACTION_SHIELD_ROTATION_ADJ  0.0625
bindAction keyboard make insert            TO ACTION_SHIELD_ROTATION_ADJ -0.0625

bindAction keyboard make numpad8           TO ACTION_SHIELD_ROTATION_SET 0.000
bindAction keyboard make numpad7           TO ACTION_SHIELD_ROTATION_SET 0.125
bindAction keyboard make numpad4           TO ACTION_SHIELD_ROTATION_SET 0.25
bindAction keyboard make numpad1           TO ACTION_SHIELD_ROTATION_SET 0.375
bindAction keyboard make numpad2           TO ACTION_SHIELD_ROTATION_SET 0.5
bindAction keyboard make numpad3           TO ACTION_SHIELD_ROTATION_SET 0.625
bindAction keyboard make numpad6           TO ACTION_SHIELD_ROTATION_SET 0.75
bindAction keyboard make numpad9           TO ACTION_SHIELD_ROTATION_SET 0.875
bindAction keyboard make numpad0           TO ACTION_SHIELD

bindAction keyboard make t                 TO ACTION_TARGET_ADJ 1.0
bindAction keyboard make shift t           TO ACTION_TARGET_ADJ -1.0
bindAction keyboard make e                 TO ACTION_TARGET_CLOSEST
bindAction keyboard make r                 TO ACTION_SENSOR_RANGE_TOGGLE
bindAction keyboard make n                 TO ACTION_NAVPOINT_NEXT
bindAction keyboard make shift n           TO ACTION_NAVPOINT_PREV
