#------------------------------------------------------------------------------
#
# NOTE: This key binding script may not work with analog joysticks
# if their readings fluctuate too much.
#


#------------------------------------------------------------------------------
# include generic camera controls
exec _defCamera.cs


#------------------------------------------------------------------------------
# include generic keyboard controls
exec _defKeyboard.cs


#------------------------------------------------------------------------------
#
# Add mouse to contol of the targeting cursor
#
editActionMap Herc

bindAction mouse0 make  button0            TO ACTION_FIRE 1.0
bindAction mouse0 break button0            TO ACTION_FIRE 0.0
bindAction mouse0 break button1            TO ACTION_TARGET_SELECTED
bindAction mouse0 break button2            TO ACTION_TARGET_CLOSEST
bindAction mouse0 xaxis                    TO ACTION_LOOK_X scale 0.5 flip
bindAction mouse0 yaxis                    TO ACTION_LOOK_Y scale 0.5 flip
bindAction mouse0 zaxis                    TO ACTION_TARGET_ADJ scale 0.5


bindAction joystick make button0           TO ACTION_FIRE 1.0
bindAction joystick break button0          TO ACTION_FIRE 0.0
bindAction joystick make button1           TO ACTION_TARGET_SELECTED
bindAction joystick make button2           TO ACTION_WEAPON_LINK
bindAction joystick make button3           TO ACTION_CAMOUFLAGE
bindAction joystick make button4           TO ACTION_WEAPON_ADJ -1.0
bindAction joystick make button5           TO ACTION_WEAPON_ADJ +1.0
bindAction joystick make button7           TO ACTION_SHIELD_TRACK
bindAction joystick make button6           TO ACTION_CROUCH 1.0
bindAction joystick break button6          TO ACTION_CROUCH 0.0

bindAction joystick xaxis                  TO ACTION_YAW deadzone 0.1  center square
bindAction joystick yaxis                  TO ACTION_SPEED  deadzone 0.1 center square
bindAction joystick rzaxis                 TO ACTION_SHIELD_FOCUS_ADJ deadzone 0.1 center square

# The zaxis may cause input problems with some mice.
#bindAction joystick zaxis                 TO ACTION_SPEED deadzone center 0.1  square

# comment these 2 lines out if you have problem with you analog joystick
bindAction joystick xpov                   TO ACTION_LOOK_X flip
bindAction joystick ypov                   TO ACTION_LOOK_Y
