#------------------------------------------------------------------------------
#
# Generic camera control script file
#

newActionMap Camera
#------- Joystick Controls
bindAction joystick0 zaxis                 TO ACTION_SPEED deadzone 0.1 center square
bindAction joystick0 xaxis                 TO ACTION_ROLL  deadzone 0.1 center square flip 
bindAction joystick0 yaxis                 TO ACTION_PITCH deadzone 0.1 center square flip
bindAction joystick0 rzaxis                TO ACTION_YAW   deadzone 0.1 center square
bindAction joystick0 make button0          TO ACTION_STOP
bindAction joystick0 make button1          TO ACTION_TURBO

bindAction keyboard make  a                TO ACTION_MOVE_X -1.0
bindAction keyboard make  d                TO ACTION_MOVE_X +1.0
bindAction keyboard break d                TO ACTION_MOVE_X 0.0
bindAction keyboard break a                TO ACTION_MOVE_X 0.0

bindAction keyboard make  w                TO ACTION_MOVE_Z +1.0
bindAction keyboard make  s                TO ACTION_MOVE_Z -1.0
bindAction keyboard break w                TO ACTION_MOVE_Z  0.0
bindAction keyboard break s                TO ACTION_MOVE_Z  0.0


#------------------------------------------------------------------------------
newActionMap CameraOrbit
#------- Joystick Controls
bindAction joystick0 zaxis                 TO ACTION_SPEED deadzone 0.1 center square flip 
bindAction joystick0 yaxis                 TO ACTION_PITCH deadzone 0.1 center square
bindAction joystick0 rzaxis                TO ACTION_YAW   deadzone 0.1 center square
bindAction joystick0 make button0          TO ACTION_NEXT
bindAction joystick0 make button1          TO ACTION_PREV
bindAction joystick0 make button2          TO ACTION_LOOK_X
bindAction joystick0 make button3          TO ACTION_LOOK_Y

# rotate clockwise/counter-clockwise
bindAction keyboard make  left             TO ACTION_YAW -0.75
bindAction keyboard make  right            TO ACTION_YAW +0.75
bindAction keyboard break left             TO ACTION_YAW  0.0
bindAction keyboard break right            TO ACTION_YAW  0.0

# rotate up/down
bindAction keyboard make up                TO ACTION_PITCH 0.5
bindAction keyboard break up               TO ACTION_PITCH 0.0
bindAction keyboard make down              TO ACTION_PITCH -0.5
bindAction keyboard break down             TO ACTION_PITCH 0.0

# zoom in/out
bindAction keyboard make shift up          TO ACTION_MOVE_Y -0.5
bindAction keyboard break shift up         TO ACTION_MOVE_Y 0.0
bindAction keyboard make shift down        TO ACTION_MOVE_Y 0.5
bindAction keyboard break shift down       TO ACTION_MOVE_Y 0.0

